<ion-header no-border>

</ion-header>
<style type="text/css">
  ::-webkit-input-placeholder {
    color: white !important;
  }

  :-moz-placeholder {
    color: white !important;
  }

  :-ms-input-placeholder {
    /* IE10+ */
    color: white !important;
  }

</style>
<ion-content padding class="login" style="background-image:url('./assets/img/logo1.png');background-repeat: no-repeat;background-size: 100% 100%">

  <ion-grid>
    <ion-row>
      <ion-col col-4></ion-col>
      <ion-col col-4 style="margin-left: auto;margin-right: auto;display: block;">
        <!-- <img src="https://lh3.googleusercontent.com/nAsQlh-rfNOdza7ZfE3skvQwj5XvSbuzyIMIqlwM2ZSn02oPddI1-q7twcThjE-Hr2JR1ZwnXg=w352-h352-n-o-rw" style="width:100%;height:auto;border-radius: 100%"> -->
      </ion-col>
      <ion-col col-4></ion-col>
    </ion-row>
  </ion-grid>

  <ion-list class="list-form">
    <form #login="ngForm" novalidate>
      <div *ngIf="UserLogin">
        <ion-row>
          <ion-col style="text-align: center; margin-bottom: 50px;">
            <img style="width: auto; height:110px;" src="./assets/img/it-logo.png" />
          </ion-col>
        </ion-row>
        <ion-item>
          <ion-label floating>User Name</ion-label>
          <ion-input name="userName" [(ngModel)]="user.userName" type="text"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Password</ion-label>
          <ion-input name="password" [(ngModel)]="user.password" type="password"></ion-input>
        </ion-item>
        <!-- <ion-label class="forgot-pass">Forgot Password?</ion-label> -->
        <button ion-button block (click)="Login()" style="margin-top: 15px;">SIGN IN</button>

        <ion-row>
          <ion-col text-center style="margin-top: 20px;">
            <span style="font-size: 12px; color: lightgray;">Not a member ?</span>
            <span style="font-size: 12px; color: #ff7043;" (click)="userReg()"> Sign Up</span>
          </ion-col>
        </ion-row>
      </div>


      <div *ngIf="UserReg">
        <ion-item>
          <ion-label floating>First Name</ion-label>
          <ion-input type="text" #firstName="ngModel" required name="firstName" [(ngModel)]="register.firstName"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Last Name</ion-label>
          <ion-input type="text" #lastName="ngModel" required name="lastName" [(ngModel)]="register.lastName"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label floating>User Name</ion-label>
          <ion-input type="text" #userName="ngModel" required name="userName" [(ngModel)]="register.userName"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Email</ion-label>
          <ion-input type="text" #email="ngModel" required name="email" [(ngModel)]="register.email"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label floating>Phone Number</ion-label>
          <ion-input type="tel" #mobilenumber="ngModel" name="mobilenumber" [(ngModel)]="register.mobileNumber" maxlength="10"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label class="gender-styles">Gender</ion-label>
          <ion-select type="text" #gender="ngModel" required name="gender" [(ngModel)]="register.gender">
            <ion-option value='female'>Female</ion-option>
            <ion-option value='male'>Male</ion-option>
          </ion-select>
          <!-- <ion-input type="text"  name="gender" [(ngModel)]="register.gender" placeholder="Gender"></ion-input> -->
        </ion-item>

        <ion-item>

          <ion-label floating>Location</ion-label>
          <ion-select name="location" [(ngModel)]="register.location">
            <ion-option value="Agra">Agra</ion-option>
            <ion-option value="Ahmedabad">Ahmedabad</ion-option>
            <ion-option value="Bengaluru">Bengaluru</ion-option>
            <ion-option value="Bhopal">Bhopal</ion-option>
            <ion-option value="Chennai">Chennai</ion-option>
            <ion-option value="Coimbatore">Coimbatore</ion-option>
            <ion-option value="Delhi">Delhi</ion-option>
            <ion-option value="Ghaziabad">Ghaziabad</ion-option>
            <ion-option value="Hyderabad">Hyderabad</ion-option>
            <ion-option value="Indore">Indore</ion-option>
            <ion-option value="Jaipur">Jaipur</ion-option>
            <ion-option value="Kanpur">Kanpur</ion-option>
            <ion-option value="Kolkata">Kolkata</ion-option>
            <ion-option value="Lucknow">Lucknow</ion-option>
            <ion-option value="Ludhiana">Ludhiana</ion-option>
            <ion-option value="Madurai">Madurai</ion-option>
            <ion-option value="Mumbai">Mumbai</ion-option>
            <ion-option value="Nagpur">Nagpur</ion-option>
            <ion-option value="Others">Others</ion-option>
            <ion-option value="Patna">Patna</ion-option>
            <ion-option value="Pune">Pune</ion-option>
            <ion-option value="Surat">Surat</ion-option>
            <ion-option value="Thane">Thane</ion-option>
            <ion-option value="Vadodara">Vadodara</ion-option>
            <ion-option value="Visakhapatnam">Visakhapatnam</ion-option>
          </ion-select>

          <!-- <ion-input type="text" #location="ngModel" required name="location" [(ngModel)]="register.location"></ion-input> -->
        </ion-item>
      

          <ion-item>
            <ion-label class="gender-styles">Designation</ion-label>
            <ion-select name="designation" [(ngModel)]="register.designation">
              <ion-option value="A.D(O.L)">A.D(O.L)</ion-option>
              <ion-option value="Addl.Commissioner of Incometax/Joint Commissioner of Incometax ">Addl.Commissioner of Incometax/Joint Commissioner of Incometax </ion-option>
              <ion-option value="Administrative Officer, Gr.II">Administrative Officer, Gr.II</ion-option>
              <ion-option value="Administrative Officer, Gr.III">Administrative Officer, Gr.III</ion-option>
              <ion-option value="Asst. Director(Systems)">Asst. Director(Systems)</ion-option>
              <ion-option value="Canteen Gr.C">Canteen Gr.C</ion-option>
              <ion-option value="Canteen Upgraded Group-C">Canteen Upgraded Group-C</ion-option>
              <ion-option value="Chief Commissioner of Incometax">Chief Commissioner of Incometax</ion-option>
              <ion-option value="Commissioner of Incometax ">Commissioner of Incometax </ion-option>
              <ion-option value="Data Processing Assistant, Gr.A">Data Processing Assistant, Gr.A</ion-option>
              <ion-option value="Data Processing Assistant, Gr.B">Data Processing Assistant, Gr.B</ion-option>
              <ion-option value="Deputy Commissioner of Incometax/Asst. Commissioner of Incometax">Deputy Commissioner of Incometax/Asst. Commissioner of Incometax</ion-option>
              <ion-option value="Dy. Director(O.L)">Dy. Director(O.L)</ion-option>
              <ion-option value="Grade-II(PB-I)">Grade-II(PB-I)</ion-option>
              <ion-option value="Incometax Inspector">Incometax Inspector</ion-option>
              <ion-option value="Incometax Officer">Incometax Officer</ion-option>
              <ion-option value="Junior Hindi Translator">Junior Hindi Translator</ion-option>
              <ion-option value="Lower Division Clerk">Lower Division Clerk</ion-option>
              <ion-option value="MTS">MTS</ion-option>
              <ion-option value="Notice Server">Notice Server</ion-option>
              <ion-option value="Office Superintendent">Office Superintendent</ion-option>
              <ion-option value="Principal Chief Commissioner of Incometax">Principal Chief Commissioner of Incometax</ion-option>
              <ion-option value="Principal Commissioner of Incometax ">Principal Commissioner of Incometax </ion-option>
              <ion-option value="Private Secretary">Private Secretary</ion-option>
              <ion-option value="Senior Hindi Translator ">Senior Hindi Translator </ion-option>
              <ion-option value="Senior Private  Secretary">Senior Private Secretary</ion-option>
              <ion-option value="Senior Tax Assistant">Senior Tax Assistant</ion-option>
              <ion-option value="Sr. Administrative Officer">Sr. Administrative Officer</ion-option>
              <ion-option value="Staff Car Driver, Grade-I">Staff Car Driver, Grade-I</ion-option>
              <ion-option value="Staff Car Driver, Grade-II">Staff Car Driver, Grade-II</ion-option>
              <ion-option value="Staff Car Driver, OG">Staff Car Driver, OG</ion-option>
              <ion-option value="Staff Car Driver, Spl.Grade">Staff Car Driver, Spl.Grade</ion-option>
              <ion-option value="Stenographer">Stenographer</ion-option>
              <ion-option value="Stenographer, Grade-I">Stenographer, Grade-I</ion-option>
              <ion-option value="Stenographer, Grade-II(PB-II)">Stenographer, Grade-II(PB-II)</ion-option>
              <ion-option value="Tax Assistant ">Tax Assistant </ion-option>
            </ion-select>

            <!-- <ion-input type="text" #location="ngModel" required name="location" [(ngModel)]="register.location" placeholder="Location"></ion-input> -->
          </ion-item>

          <ion-item>
            <ion-label floating>Password</ion-label>
            <ion-input type="password" #password="ngModel" required name="password" [(ngModel)]="register.password"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Confirm Password</ion-label>
            <ion-input type="password" #confirmpassword="ngModel" required name="confirmpassword" [(ngModel)]="register.confirmPassword"></ion-input>
          </ion-item>

          <div class="buttons-styles">

            <span *ngFor="let img of aadharProofList">

              <img class="image-css" src="{{img}}">

            </span>

            <button ion-button full color="primary" style="border-bottom: 0!important;" (click)="aadharProof()">Upload Adhar</button>
          </div>
          <div class="buttons-styles">


            <span *ngFor="let img of IdproofsList">

              <img class="image-css" src="{{img}}">

            </span>

            <!-- <p>2:{{register.IDProofUrl.imageBack}}</p> -->
            <button ion-button full color="primary" (click)="Idproofs()">Upload DeptID</button>
          </div>
          <!-- <ion-item>
          <h4>Image Preview</h4> 
          <img src="{{register.IDProofUrl}}" *ngIf="imageFileName" alt="Ionic File" width="300" />
        </ion-item> -->
        <div class="buttons-styles">
            <button ion-button (click)="Register()" [disabled]="login.invalid" full color="dark">REGISTER</button>
          </div>


          <ion-row>
            <ion-col text-center style="margin-top: 30px;">

              <span style="font-size: 12px; color: #ff7043;" (click)="userLogin()"> Login</span>
            </ion-col>
          </ion-row>
      </div>
      <p align="center">
        <img src="{{ myphoto }}">
      </p>
    </form>
  </ion-list>



  <ion-card *ngIf="Aadhar" class="transscreen">
    <div class="upload-img-popup">
      <ion-row>
        <ion-col col-6>
          <button ion-button required (click)="actionSheet(0)" [disabled]="aadharfront">Front Side</button>
        </ion-col>
        <ion-col col-6>
          <button ion-button required (click)="actionSheet(0)" text-right [disabled]="aadharbackside">Back side</button>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col col-12 style="text-align: center">
          <button ion-button style="background: #222!important;" (click)="imgLoaded()">Submit</button>
        </ion-col>
      </ion-row>
    </div>
  </ion-card>
  <ion-card *ngIf="IdProofs" class="transscreen">
    <div class="upload-img-popup">
      <ion-row>
        <ion-col col-6>
          <button ion-button required (click)="actionSheet(0)">Front Side</button>
        </ion-col>
        <ion-col col-6>
          <button ion-button required (click)="actionSheet(0)">Back side</button>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col col-12 style="text-align: center">
          <button ion-button style="background: #222!important;" (click)="imgLoaded1()">Submit</button>
        </ion-col>
      </ion-row>
    </div>
  </ion-card>
  <!-- <div text-center 
  (click)="forgotPwd()">Sign Up</div> -->
  <!-- <button ion-button   block  (click)="signUp()">Register</button> -->
</ion-content>
